Upstream information

CVE-2008-5519 at MITRE

Description

The JK Connector (aka mod_jk) 1.2.0 through 1.2.26 in Apache Tomcat allows remote attackers to obtain sensitive information via an arbitrary request from an HTTP client, in opportunistic circumstances involving (1) a request from a different client that included a Content-Length header but no POST data or (2) a rapid series of requests, related to noncompliance with the AJP protocol's requirements for requests containing Content-Length headers.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 2.6
Vector AV:N/AC:H/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity High
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
SUSE Bugzilla entry: 493575 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • apache2-mod_jk >= 1.2.40-7.3.1
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • apache2-mod_jk >= 1.2.43-3.3.1
SUSE Linux Enterprise Module for Server Applications 15
  • apache2-mod_jk >= 1.2.43-1.36
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP3
  • apache2-mod_jk >= 1.2.26-1.30.110
SUSE Linux Enterprise Server 11 SP4
  • apache2-mod_jk >= 1.2.40-0.2.1
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • apache2-mod_jk >= 1.2.40-5.2
SUSE Linux Enterprise Server 12
  • apache2-mod_jk >= 1.2.40-1.6
openSUSE Tumbleweed
  • apache2-mod_jk >= 1.2.41-1.5
Patchnames:
openSUSE Tumbleweed GA apache2-mod_jk-1.2.41-1.5


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLES for SAP Applications apache2-mod_jk Released
SUSE Linux Enterprise Enterprise Server 11 SP1 for SAP Enterprise Search apache2-mod_jk Released
SUSE Linux Enterprise Server 11 SP1 apache2-mod_jk Released
SUSE Linux Enterprise Server 11 SP1 LTSS apache2-mod_jk Released
SUSE Linux Enterprise Server 11 SP2 apache2-mod_jk Released
SUSE Linux Enterprise Server 11 SP2 LTSS apache2-mod_jk Released
SUSE Linux Enterprise Server 11 SP2 for VMware apache2-mod_jk Released
SUSE Linux Enterprise Server 11 SP3 apache2-mod_jk Released
SUSE Linux Enterprise Server 11 SP3 LTSS apache2-mod_jk Released
SUSE Linux Enterprise Server 11 SP3 for VMware apache2-mod_jk Released
SUSE Linux Enterprise Server 11 SP4 apache2-mod_jk Released
SUSE Linux Enterprise Server 11 SP4 LTSS apache2-mod_jk Released
SUSE Linux Enterprise Server for SAP Business All-in-One 11 SP1 apache2-mod_jk Released